import 'replied_content.dart';

class RepliedContent {
    final int id;
    final int type;
    final int topicId;
    final String content;
    final int contentType;

    RepliedContent({this.id, this.type, this.topicId, this.content, this.contentType});

  factory RepliedContent.fromJson(Map<String, dynamic> json) {
    return RepliedContent(
      id: json['id'],
      type: json['type'],
      topicId: json['topic_id'],
      content: json['content'],
      contentType: json['content_type'],
    );
  }

    Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['id'] = this.id;
		data['type'] = this.type;
		data['topic_id'] = this.topicId;
		data['content_type'] = this.contentType;
		data['content'] = this.content;
		return data;
	}

}